org.eclipse.ecf.core.events

## Interface IContainerDisconnectingEvent

All Superinterfaces:
  Event, IContainerEvent

All Known Implementing Classes:
  ContainerDisconnectingEvent

    public interface IContainerDisconnectingEvent
    extends IContainerEvent

Container disconnecting event

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getTargetID()` Get ID of container target (the container we are disconnecting from)

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Method Detail

#### getTargetID

    ID getTargetID()

Get ID of container target (the container we are disconnecting from)

Returns:
  ID the ID of the container we are disconnecting from. Will not be null.